#version 330 core

uniform mat4 modelViewProjMatrix;
uniform mat4 normalMatrix; 

layout (location = 0) in vec3 position;

smooth out vec3 vNormal;

void main(){
	gl_Position = modelViewProjMatrix * vec4(position, 1.0);
}
