#version 330 core

in vec3 texCoords;
out vec4 color;

uniform samplerCube skybox;
uniform float intensity;

void main() {
        color = texture(skybox, texCoords);
        color.rgb = color.rgb * intensity;
}
