#version 330 core

struct SimpleDirectionalLight {
   vec4 vColor;
   vec3 vDirection;
   float fAmbientIntensity;
};

uniform SimpleDirectionalLight sunLight;
uniform vec3 materialColor;
uniform sampler2D textureSample;

smooth in vec3 vNormal;
in vec2 uv;
out vec4 outputColor;


void main(){
    outputColor = texture(textureSample, uv);
    if(outputColor.a == 0.0){
        discard;
    }
}
